Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232459 - Possible bug in kickstart documentation: repo (optional)
Summary: Possible bug in kickstart documentation: repo (optional)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Installation_Guide
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joshua Wulf
QA Contact: Michael Hideo
URL: https://www.redhat.com/docs/manuals/e...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 16:45 UTC by Christian Nygaard
Modified: 2014-10-19 22:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 04:40:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Christian Nygaard 2007-03-15 16:45:27 UTC
Description of problem:
28.4. Kickstart Options manual says:
 repo --name=<repoid> [--baseline=<url>| --mirrorlist=<url>]
but later explaination its named --baseurl=

fc6 has the following
 repo --name=<repoid> [--baseurl=<url>|--mirrorlist=<url>


Version-Release number of selected component (if applicable):
5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Scott Lamb 2007-04-18 21:04:34 UTC
pykickstart-0.43-1.el5 has in /usr/lib/python2.4/site-packages/pykickstart/parser.py:

        op = KSOptionParser(lineno=self.lineno)
        op.add_option("--name", dest="name", required=1)
        op.add_option("--baseurl")
        op.add_option("--mirrorlist")

so this text is incorrect.

Comment 2 Don Domingo 2007-04-19 02:01:51 UTC
reassigning to Joshua Wulf

Comment 3 Joshua Wulf 2007-04-19 04:40:16 UTC
Thanks for the heads up. This is fixed in cvs and is now awaiting the updated
documentation push.


Note You need to log in before you can comment on or make changes to this bug.